.register {
    background: #010001;
    height: 750px;
}

.auth__navbar {
    display: flex;
    align-items: center;
    width: 100vw;
    padding: 1.75rem 2.75rem;
}

.auth__navbar {
    color: var(--white-color);
}

.auth__logo {
    height: 25px;
    width: 25px;
    background-color: var(--main-color);
     border-radius: 50%;
}

.auth__brand_logo {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-right: 7rem;
}

.auth__brand_logo h2 {
    font-size: var(--semi-subheader);
}

.auth__links {
    display: flex;
    align-items: center;
    gap: 100px;
    color: var(--gray-text);
    font-weight: 400;
    font-size: var(--normal-font);
    position: relative;
}

.auth__links i {
    display: none;
}

.autform__content {
    padding: 1.5rem 2.75rem;
    display: flex;
    justify-content: space-between;
    height: calc(100vh - 5.5rem);
    align-items: center;
    position: relative;
}

.authform {
    flex: 1;
}

.auth__title {
    color: var(--white-color);
    margin-bottom: 2rem;
}

.auth__title p,
.auth__title small {
    color: #787777!important;
    font-size: 14px;
}

.auth__title p {
    font-size: 16px!important;
}

.auth__banner_text {
    display: flex;
    align-items: baseline;
}

.auth__banner_text h1 {
    font-size: var(--text-h1);
}

.auth__banner_text h1:nth-child(2) {
    color: var(--main-color);
    font-size: 5rem;
}

.auth__title small a {
    color: var(--main-color);
    font-weight: 600;
}

.form_div {
    position: relative;
    height: 48px;
    margin-bottom: 1rem;
}

.auth__fullname_inputs {
    display: flex;
    width: 100%;
    gap: 10px;
}

.auth__fullname_inputs .form_div {
    flex: 1;
}

.form_input {
    position: absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    font-size:var(--normal-font);
    border:1px solid #322E32;
    border-radius: .5rem;
    outline:none;
    padding:1rem;
    background:none;
    z-index: 1;
    background: #322E32;
    color: var(--white-color);
}

.form_lable {
    position: absolute;
    left: 1rem;
    top: .75rem;
    padding: 0 .25rem;
    color:var(--white-color);
    font-size:var(--normal-font);
    transition: .3s;
    z-index: 2;
}

.form_button {
    display: block;
    /* margin-left: auto; */
    padding:.75rem 2rem;
    outline:none;
    border:none;
    background-color: var(--main-color);
    color:#fff;
    font-size:var(--normal-font);
    border-radius: .5rem;
    cursor: pointer;
    transition: .3s;
    margin-top: 3rem;
}

.form_button-disabled {
    display: block;
    /* margin-left: auto; */
    cursor: not-allowed;
    padding:.75rem 2rem;
    outline:none;
    border:none;
    background-color: #4F4350;
    color:#fff;
    font-size:var(--normal-font);
    border-radius: .5rem;
    margin-top: 3rem;
}

.form_button:hover{
    box-shadow: 0 10px 36px rgba(124, 7, 136, .5);
}

.form_input:focus + .form_lable{
    top:-.6rem;
    left:.8rem;
    color:var(--gradient-palette-color);
    font-size: 14px;
    font-weight: 500;
    z-index: 10;
  }

  .form_input:focus {
    border: 2px solid rgba(124, 7, 136, .85);
  }

  .form_input:not(:placeholder-shown).form_input:not(:focus)+ .form_lable{
    top:-.6rem;
    left:.8rem;
    color:var(--gradient-palette-color);
    font-size: 14px;
    font-weight: 500;
    z-index: 10;
  }

  .form_input:not(:placeholder-shown) {
    border: 2px solid var(--main-color);
  }

  .auth__logo_banner {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1.5;
}

.auth__logo_banner img {
    height: 100%;
}

.auth_anchor_links {
    display: flex;
    gap: 100px;
    align-items: center;
}

.openToggle {
    display: block;
    font-size: 2rem;
}

.closeToggle {
    display: none!important;
}

/* Tablet */
/* Portrait and Landscape */
@media only screen 
  and (max-device-width: 1080px) {
    .autform__content {
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        height: 90%;
    }

    .auth__navbar {
        justify-content: space-between;
    }
    .register {
        height: 1390px;
    }

    .auth__title {
        text-align: center;
    }

    .auth__logo_banner img {
        height: 200px;
        height: 400px;
    }

    .closeLinks {
        display: none!important;
    }

    .openLinks {
        display: flex;
        flex-direction: column;
        gap: 0!important;
        align-items: flex-start!important;
        padding: 1.5rem 2rem;
        width: 300px;
        height: 100px;
        position: absolute;
        top: 50px;
        right: 0px;
        border-radius: 10px;
        box-shadow: 0px 4px 25px 3px rgba(238, 0, 143,0.44);
-webkit-box-shadow: 0px 4px 25px 3px rgba(238, 0, 143,0.44);
-moz-box-shadow: 0px 4px 25px 3px rgba(238, 0, 143,0.44);
    }

    .auth__links i {
        display: block;
    }

    .auth__fullname_inputs {
        display: block;
    }

    .form_div input {
        padding: 1.5rem 1.25rem;
    }

    .form_button {
        width: 80%;
        display: flex;
        justify-content: center;
        margin-left: 3rem;
        padding: 1.5rem;
    }

    .form_button-disabled {
        width: 80%;
        display: flex;
        justify-content: center;
        margin-left: 3rem;
        padding: 1.5rem;
    }
}

@media only screen and
    (max-device-width: 400px) {
    .auth__logo_banner {
        margin-top: 0rem!important;
    }
    .auth__brand_logo {
        margin-right: 6rem;
    }

    .openLinks {
        width: 150px!important;
        padding: 1rem;
        height: 80px!important;
    }
    
    .auth__title p, .auth__title small {
        font-size: 14px!important;
        margin-top: 1rem;
    }

    .auth__banner_text h1 {
        font-size: 2.5rem!important;
    }
    
    .form_button-disabled,
    .form_button {
        margin-left: 1.5rem!important;
    }
}

@media only screen and
    (max-device-width: 575px) {

    .auth__logo_banner {
        margin-top: 7rem;
    }
}

@media only screen 
  and (max-device-width: 900px) {
    .openLinks {
        width: 200px;
        height: 100px;    
    }
}

/* Laptop */

@media screen and 
       (min-width: 1081px) and 
       (max-width: 1366px) and
       (max-height: 798px) {
        
        .autform__content {
            margin-top: 3rem;
        }

        .register {
            height: 700px;
        }

        .auth__logo_banner {
            flex: 1;
        }

        .auth__logo_banner img {
            height: 120%;
            position: absolute;
            top: -90px;
        }
}


@media screen and 
       (min-width: 1279px) and 
       (max-width: 1366px) and
       (min-height: 799px) {
    
        .register {
            height: 800px;
        }

        .auth__logo_banner {
            flex: 1;
        }
}


@media screen and 
    (min-width: 1366px) and 
    (max-width: 1439px) and
    (min-height: 750px) {
    .register {
        height: 820px;
    }

    .auth__logo_banner img {
        height: 90%;
    }

    .auth__logo_banner {
        flex: 1;
    }
}


@media screen and 
    (min-width: 1366px) and 
    (max-width: 1439px) and
    (min-height: 600px) and
    (max-height: 740px) {
    .register {
        height: 800px;
    }

    .autform__content {
        margin-top: 6rem;
    }

    .auth__logo_banner img {
        height: 120%;
    }

    .auth__logo_banner {
        flex: 1;
    }
}

/* Desktop */
@media screen and (min-width: 1440px) {
    .register {
        height: 900px;
    }    
}

@media screen and 
    (min-width: 1441px) and
    (max-width: 1920px) {

    .auth__logo {
        height: 30px;
        width: 30px;
    }
    
    .auth__brand_logo h2 {
        font-size: 1.5rem;
    }
    
    .auth__links {
        font-size: 18px;
    }
    
        
    .register {
        height: 1200px;
    }
    
    .auth__title p,
    .auth__title small {
        color: #787777!important;
        font-size: 18px;
    }

    .auth__banner_text h1 {
        font-size: 4rem;
    }
    
    .auth__banner_text h1:nth-child(2) {
        color: var(--main-color);
        font-size: 6rem;
    }


    /* Form design */

    .form_div {
        height: 58px;
    }

    .form_lable {
        top: 1rem;
    }

    .form_button {
        padding: 1.25rem 2.5rem;
    }

    .form_input:focus + .form_lable{
        font-size: 16px;
    }

    .form_input:focus {
        border: 2px solid rgba(124, 7, 136, .85);
    }

    
}


@media screen and 
    (min-width: 1921px) {

    .auth__navbar {
        padding: 2.5rem 3.5rem;
    }
    
    .auth__logo {
        height: 35px;
        width: 35px;
    }
    
    .auth__brand_logo h2 {
        font-size: 1.5rem;
    }
    
    .auth__links {
        font-size: 20px;
    }
    
        
    .register {
        height: 1500px;
    }

    .autform__content {
        padding: 2.5rem 3.5rem;
    }
    
    .auth__title p,
    .auth__title small {
        font-size: 2rem;
    }

    .auth__banner_text h1 {
        font-size: 6rem;
    }
    
    .auth__banner_text h1:nth-child(2) {
        font-size: 7rem;
    }

    .auth__logo_banner {
        flex: 1;
    }
    /* Form design */

    .form_div {
        height: 80px;
    }

    .form_lable {
        top: 1rem;
        font-size: 24px;
    }

    .form_button {
        padding: 2rem 3.5rem;
        margin-top: 5rem;
    }

    .form_input:focus + .form_lable{
        font-size: 20px;
    }

    .form_input:not(:placeholder-shown).form_input:not(:focus)+ .form_lable{
        font-size: 20px;
    }

    
}

.offscreen {
    display: none;
}

.instructions {
    background: #EE008F;
    color: var(--white-color);
    border-radius: 5px;
    padding: 5px 10px;
    margin-bottom: 10px;
    font-size: 12px;
}

.instructions i {
    margin-right: 5px;
}

.errmsg {
    width: 100%;
    color: var(--white-color);
    background: #EE008F;
    border: 3px solid #A506B5;
    border-radius: 5px;
    margin: 16px 0;
    padding: 1rem 1.5rem;
    display: flex;
    align-items: center;
    gap: 10px;
}

.errmsg i {
    font-size: 24px;
}